# $Revision: 1.31 $, $Date: 2005/06/13 14:46:21 $
Summary:	Colored "tail"
Summary(pl):	Kolorowy "tail"
Name:		colortail
Version:	0.3.0
Release:	6
License:	GPL
Group:		Applications/Text
Source0:	http://www.student.hk-r.se/~pt98jan/%{name}-%{version}.tar.gz
# Source0-md5:	2589d3e372080f4052d1cc0d6550508f
Patch0:		%{name}-gcc3.patch
URL:		http://www.student.hk-r.se/~pt98jan/colortail.html
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Colortail works like tail but can optionally read a color config file,
where it's specified which patterns result in which colors.

%description -l pl
Colortail dziaa na podobne zasadzie jak zwyky tail, z t rnic, e
potrafi wywietla kolorowy tekst w zalenoci od ustawie w pliku
konfiguracyjnym.

%prep
%setup -q
%patch0 -p0

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	--enable-ext_regex
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install example-conf/conf.* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not mtime size md5)  %{_sysconfdir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: colortail.spec,v $
Revision 1.31  2005/06/13 14:46:21  undefine
- rel 6, missing dir

Revision 1.30  2004/08/18 19:35:59  undefine
- release 5

Revision 1.29  2003/11/25 13:38:53  speedy
- release 4
- remove headers patch
- add gcc3 patch

Revision 1.28  2003/11/25 13:13:27  speedy
- release 3

Revision 1.27  2003/09/09 10:24:19  ankry
- spaces -> tab

Revision 1.26  2003/08/06 16:48:24  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.25  2003/07/07 04:23:52  blues
- many small fixes, inspired by kloczek

Revision 1.24  2003/05/26 16:24:49  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:46:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/05/11 19:35:12  djrzulf
- added Patch0 (header correction),
- now it builds at Nest,
- Release 2,

Revision 1.21  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/05/21 23:12:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/25 16:06:12  arturs
fixed a small typo

Revision 1.18  2002/04/05 10:54:38  roman
s/GNU/GPL in License

Revision 1.17  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.16  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/27 11:56:31  qboosh
- added Source0 URL, fixed typo, s/Copyright/License/

Revision 1.13  2001/05/02 02:43:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/02/05 22:56:02  kloczek
- added libstdc++-devel to BuildRequires,
- better C++ optimization (added -fno-exceptions -fno-rtti to CXXFLAGS).

Revision 1.11  2001/02/05 22:49:25  kloczek
- added autoconf, automake to BuildRequires,
- few cosmetics in %install.

Revision 1.10  2001/02/02 22:20:20  waszi
- cleanups

Revision 1.9  2000/11/25 19:46:57  mkochano
- Updated to 0.3.0.
- Config files %%{_sysconfdir} -> %%{_sysconfdir}/%{name}

Revision 1.8  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.7  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.6  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 15:40:26  mis
- changed group + its Polish translation

Revision 1.4  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.2  1999/09/23 15:23:37  wiget
- rewrite to PLD style
-- added CVS keywords
-- using rpms macros
-- gzippded docs and manuals
-- simplification in %%files

* Wed Jul  7 1999 Andrzej Nakonieczny <dzemik@ps.pl>
  [0.2.0-2]
- fixed perminnsion on directories.

* Sat May 08 1999 Andrzej Nakonieczny <dzemik@ps.pl>
  [0.2.0-1]
- First release of this package.
